Version

Get Versions By Name

get

Retrieve a list of template's versions.

Query parameters
SiteIdinteger · int32Optional

Site ID for which the template with version information will be retrieved (optional)

NamestringOptional

Filter the result by name (optional)

Responses
chevron-right
200

Success

application/json; api-version=1.0

RAS Template Versions Available to VDI/RDS/AVD Template Versions

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

namestring · nullableOptional

Version Name

idinteger · int32Optional

Version ID

templateIdinteger · int32Optional

Version Template ID

descriptionstring · nullableOptional

Version Description

get
/api/VDI/Template/Version

Get Versions

get

Retrieve a list of template's versions.

Path parameters
idinteger · int32Required

Template ID

Responses
chevron-right
200

Success

application/json; api-version=1.0

RAS Template Versions Available to VDI/RDS/AVD Template Versions

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

namestring · nullableOptional

Version Name

idinteger · int32Optional

Version ID

templateIdinteger · int32Optional

Version Template ID

descriptionstring · nullableOptional

Version Description

get
/api/VDI/Template/{id}/Version

Update Version

put

Modify properties of a RAS Template version.

Path parameters
idinteger · int32Required

The ID of a RAS Template

VersionIdinteger · int32Required

The ID of a RAS Template Version

Body
newNamestring · min: 1 · max: 255 · nullableOptional

Template version name.

descriptionstring · min: 1 · max: 255 · nullableOptional

Template version description

Responses
put
/api/VDI/Template/{id}/Version/{VersionId}

No content

Delete Version

delete

Remove settings of a RAS Template version.

Path parameters
idinteger · int32Required

The ID of a RAS Template

VersionIdinteger · int32Required

The ID of a RAS Template Version

Responses
delete
/api/VDI/Template/{id}/Version/{VersionId}